| GTK-EXTRA - Reference Manual

| Home

## Name

### Gtkplotflux - 3d scientific plots widget for gtk+

## Synopsis

    GtkType

    gtk_plot_flux_get_type

    (void);

    GtkWidget*

    gtk_plot_flux_new

    (void);

    void

    gtk_plot_flux_set_arrow

    (GtkPlotFlux *flux,
    gint arrow_length,
    gint arrow_width,
    GtkPlotSymbolStyle style);

    void

    gtk_plot_flux_get_arrow

    (GtkPlotFlux *flux,
     gint *arrow_length,
    gint *arrow_width,
    GtkPlotSymbolStyle *style);

    void

    gtk_plot_flux_center

    (GtkPlotFlux *flux,
    gboolean center);

    gboolean

    gtk_plot_flux_is_centered

    (GtkPlotFlux *flux);

## Object Hierarchy

##
Args

## Signal Prototypes

    No signals

## Description

####

##
Details

    struct GtkPlotFlux

##
Screenshot

##

### gtk_plot_dt_get_type ()

    GtkType gtk_plot_dt_get_type (void);

Returns |

### gtk_plot_flux_get_type ()

    GtkType gtk_plot_flux_get_type (void);

Returns |

### gtk_plot_flux_new ()

    GtkWidget* gtk_plot_flux_new (void);

Returns |

### gtk_plot_flux_set_arrow ()

    void gtk_plot_flux_set_arrow (GtkPlotFlux *flux,
                                  gint arrow_length,
                                  gint arrow_width,
                                  GtkPlotSymbolStyle style);

flux |
arrow_length |
arrow_width |
style |

### gtk_plot_flux_get_arrow ()

    void gtk_plot_flux_get_arrow (GtkPlotFlux *flux,
                                  gint *arrow_length,
                                  gint *arrow_width,
                                  GtkPlotSymbolStyle *style);

flux |
arrow_length |
arrow_width |
style |

### gtk_plot_flux_center ()

    void gtk_plot_flux_center (GtkPlotFlux *flux,
                               gboolean center);

flux |
center |

### gtk_plot_flux_is_centered ()

    gboolean gtk_plot_flux_is_centered (GtkPlotFlux *flux);

flux |
Returns |

##

## DETAILS

    struct _GtkPlotFlux

    {
      GtkPlotData data;
      gboolean centered;
      gint arrow_length;
      gint arrow_width;
      GtkPlotSymbolStyle arrow_style;
    };

| Home |  |